> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Discover movies with filters

> This endpoint allows you to find movies using over 30 filters and sort options.



## OpenAPI

````yaml get /discover/movie
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /discover/movie:
    get:
      tags:
        - Discover
      summary: Discover movies with filters
      description: >-
        This endpoint allows you to find movies using over 30 filters and sort
        options.
      operationId: discoverMoviesWithFilters
      parameters:
        - name: certification
          in: query
          schema:
            type: string
            example: 'string '
          description: used together with region
        - name: certification.gte
          in: query
          schema:
            type: string
            example: string
          description: used together with region
        - name: certification.lte
          in: query
          schema:
            type: string
            example: string
          description: used together with region
        - name: certification_country
          in: query
          schema:
            type: string
            example: string
          description: >-
            use together with the certification, certification.gte and
            certification.lte filters
        - name: include_adult
          in: query
          schema:
            type: string
            example: boolean
          description: Defaults to false
        - name: include_video
          in: query
          schema:
            type: string
            example: boolean
          description: Defaults to false
        - name: language
          in: query
          schema:
            type: string
            example: string
          description: Defaults to en-US
        - name: page
          in: query
          schema:
            type: string
            example: int32
          description: Defaults to 1
        - name: primary_release_year
          in: query
          schema:
            type: string
            example: int32
          description: The year the movie was released
        - name: primary_release_date.gte
          in: query
          schema:
            type: string
            example: date
        - name: primary_release_date.lte
          in: query
          schema:
            type: string
            example: date
        - name: region
          in: query
          schema:
            type: string
            example: string
        - name: release_date.gte
          in: query
          schema:
            type: string
            example: date
        - name: release_date.lte
          in: query
          schema:
            type: string
            example: date
        - name: sort_by
          in: query
          schema:
            type: string
            example: string
          description: Defaults to popularity.desc
        - name: vote_average.gte
          in: query
          schema:
            type: string
            example: float
        - name: vote_average.lte
          in: query
          schema:
            type: string
            example: float
        - name: vote_count.gte
          in: query
          schema:
            type: string
            example: float
        - name: vote_count.lte
          in: query
          schema:
            type: string
            example: float
        - name: watch_region
          in: query
          schema:
            type: string
            example: string
          description: >-
            use together with with_watch_monetization_types or
            with_watch_providers
        - name: with_cast
          in: query
          schema:
            type: string
            example: string
          description: can be a comma (AND) or pipe (OR) separated query
        - name: with_companies
          in: query
          schema:
            type: string
            example: string
          description: can be a comma (AND) or pipe (OR) separated query
        - name: with_crew
          in: query
          schema:
            type: string
            example: string
          description: can be a comma (AND) or pipe (OR) separated query
        - name: with_genres
          in: query
          schema:
            type: string
            example: string
          description: can be a comma (AND) or pipe (OR) separated query
        - name: with_keywords
          in: query
          schema:
            type: string
            example: string
          description: can be a comma (AND) or pipe (OR) separated query
        - name: with_origin_country
          in: query
          schema:
            type: string
            example: string
        - name: with_original_language
          in: query
          schema:
            type: string
            example: string
        - name: with_people
          in: query
          schema:
            type: string
            example: string
          description: can be a comma (AND) or pipe (OR) separated query
        - name: with_release_type
          in: query
          schema:
            type: string
            example: int32
          description: >-
            possible values are: [1, 2, 3, 4, 5, 6] can be a comma (AND) or pipe
            (OR) separated query, can be used together with region
        - name: with_runtime.gte
          in: query
          schema:
            type: string
            example: string
        - name: with_watch_monetization_types
          in: query
          schema:
            type: string
            example: string
          description: >-
            possible values are: [flatrate, free, ads, rent, buy] use in
            conjunction with watch_region, can be a comma (AND) or pipe (OR)
            separated query
        - name: with_watch_providers
          in: query
          schema:
            type: string
            example: string
          description: >-
            use in conjunction with watch_region, can be a comma (AND) or pipe
            (OR) separated query
        - name: without_companies
          in: query
          schema:
            type: string
            example: string
        - name: without_genres
          in: query
          schema:
            type: string
            example: string
        - name: without_keywords
          in: query
          schema:
            type: string
            example: string
        - name: without_watch_providers
          in: query
          schema:
            type: string
            example: string
        - name: year
          in: query
          schema:
            type: string
            example: int32
      responses:
        '200':
          description: discover-movies
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=3725
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Fri, 13 Dec 2024 11:00:03 GMT
            ETag:
              schema:
                type: string
                example: W/"8d310efe4ee233fe762829d91a695d29"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 48850a600c11c704f12260094c298d3a.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: tFUuHmzFJKYo2NLCa3xLmrq8NDVtZo84NmzG9OLEvEtqAh_YOhCOTQ==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD55-P7
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '22482'
            x-memc-expires:
              schema:
                type: string
                example: '3725'
            x-memc-key:
              schema:
                type: string
                example: f7a89dec9d4f603186ad9e2a834a72ff
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: number
                    example: 1
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        adult:
                          type: boolean
                          example: false
                        backdrop_path:
                          type: string
                          example: /3V4kLQg0kSqPLctI5ziYWabAZYF.jpg
                        genre_ids:
                          type: array
                          items:
                            type: number
                            example: 28
                          example:
                            - 28
                            - 878
                            - 12
                            - 53
                        id:
                          type: number
                          example: 912649
                        original_language:
                          type: string
                          example: en
                        original_title:
                          type: string
                          example: 'Venom: The Last Dance'
                        overview:
                          type: string
                          example: >-
                            Eddie and Venom are on the run. Hunted by both of
                            their worlds and with the net closing in, the duo
                            are forced into a devastating decision that will
                            bring the curtains down on Venom and Eddie's last
                            dance.
                        popularity:
                          type: number
                          example: 12365.25
                        poster_path:
                          type: string
                          example: /aosm8NMQ3UyoBVpSxyimorCQykC.jpg
                        release_date:
                          type: string
                          example: '2024-10-22'
                        title:
                          type: string
                          example: 'Venom: The Last Dance'
                        video:
                          type: boolean
                          example: false
                        vote_average:
                          type: number
                          example: 6.7
                        vote_count:
                          type: number
                          example: 1360
                    example:
                      - adult: false
                        backdrop_path: /3V4kLQg0kSqPLctI5ziYWabAZYF.jpg
                        genre_ids:
                          - 28
                          - 878
                          - 12
                          - 53
                        id: 912649
                        original_language: en
                        original_title: 'Venom: The Last Dance'
                        overview: >-
                          Eddie and Venom are on the run. Hunted by both of
                          their worlds and with the net closing in, the duo are
                          forced into a devastating decision that will bring the
                          curtains down on Venom and Eddie's last dance.
                        popularity: 12365.25
                        poster_path: /aosm8NMQ3UyoBVpSxyimorCQykC.jpg
                        release_date: '2024-10-22'
                        title: 'Venom: The Last Dance'
                        video: false
                        vote_average: 6.7
                        vote_count: 1360
                      - adult: false
                        backdrop_path: /tElnmtQ6yz1PjN1kePNl8yMSb59.jpg
                        genre_ids:
                          - 16
                          - 12
                          - 10751
                          - 35
                        id: 1241982
                        original_language: en
                        original_title: Moana 2
                        overview: >-
                          After receiving an unexpected call from her wayfinding
                          ancestors, Moana journeys alongside Maui and a new
                          crew to the far seas of Oceania and into dangerous,
                          long-lost waters for an adventure unlike anything
                          she's ever faced.
                        popularity: 3704.062
                        poster_path: /4YZpsylmjHbqeWzjKpUEF8gcLNW.jpg
                        release_date: '2024-11-21'
                        title: Moana 2
                        video: false
                        vote_average: 6.9
                        vote_count: 460
                      - adult: false
                        backdrop_path: /au3o84ub27qTZiMiEc9UYzN74V3.jpg
                        genre_ids:
                          - 28
                          - 878
                          - 53
                        id: 1035048
                        original_language: en
                        original_title: Elevation
                        overview: >-
                          A single father and two women venture from the safety
                          of their homes to face monstrous creatures to save the
                          life of a young boy.
                        popularity: 2623.947
                        poster_path: /uQhYBxOVFU6s9agD49FnGHwJqG5.jpg
                        release_date: '2024-11-07'
                        title: Elevation
                        video: false
                        vote_average: 6.5
                        vote_count: 145
                      - adult: false
                        backdrop_path: /nOoGIymGBNtA7AEN0B6nshSEQ1p.jpg
                        genre_ids:
                          - 28
                          - 80
                          - 53
                        id: 974453
                        original_language: en
                        original_title: Absolution
                        overview: >-
                          An aging ex-boxer gangster working as muscle for a
                          Boston crime boss receives an upsetting diagnosis. 
                          Despite a faltering memory, he attempts to rectify the
                          sins of his past and reconnect with his estranged
                          children. He is determined to leave a positive legacy
                          for his grandson, but the criminal underworld isn’t
                          done with him and won’t loosen their grip willingly.
                        popularity: 1754.884
                        poster_path: /cNtAslrDhk1i3IOZ16vF7df6lMy.jpg
                        release_date: '2024-10-31'
                        title: Absolution
                        video: false
                        vote_average: 6.1
                        vote_count: 127
                      - adult: false
                        backdrop_path: /evFChfYeD2LqobEJf8iQsrYcGTw.jpg
                        genre_ids:
                          - 28
                          - 80
                          - 53
                        id: 1182387
                        original_language: en
                        original_title: Armor
                        overview: >-
                          Armored truck security guard James Brody is working
                          with his son Casey transporting millions of dollars
                          between banks when a team of thieves led by Rook
                          orchestrate a takeover of their truck to seize the
                          riches. Following a violent car chase, Rook soon has
                          the armored truck surrounded and James and Casey find
                          themselves cornered onto a decrepit bridge.
                        popularity: 1666.034
                        poster_path: /pnXLFioDeftqjlCVlRmXvIdMsdP.jpg
                        release_date: '2024-10-30'
                        title: Armor
                        video: false
                        vote_average: 5.5
                        vote_count: 63
                      - adult: false
                        backdrop_path: /m2hs6YPVrzjvRC21SE9BeXtgqFW.jpg
                        genre_ids:
                          - 16
                          - 9648
                          - 878
                          - 28
                        id: 1299652
                        original_language: en
                        original_title: 'Watchmen: Chapter II'
                        overview: >-
                          Suspicious of the events ensnaring their former
                          colleagues, Nite Owl and Silk Spectre are spurred out
                          of retirement to investigate. As they grapple with
                          personal ethics, inner demons and a society turned
                          against them, they race the clock to uncover a
                          deepening plot that might trigger global nuclear war.
                        popularity: 1484.544
                        poster_path: /4rBObJFpiWJOG7aIlRrOUniAkBs.jpg
                        release_date: '2024-11-25'
                        title: 'Watchmen: Chapter II'
                        video: false
                        vote_average: 7.6
                        vote_count: 46
                      - adult: false
                        backdrop_path: /cBTwQKMd7Vn6rGTGBtoFLIfj7uM.jpg
                        genre_ids:
                          - 16
                          - 12
                          - 28
                          - 14
                        id: 1147416
                        original_language: fr
                        original_title: 'Miraculous World : Londres, la course contre le temps'
                        overview: >-
                          To save the future from a terrible fate, Marinette
                          becomes Chronobug and teams up with Bunnyx to defeat a
                          mysterious opponent who travels through time. Who is
                          this new supervillain, and why are they obsessed with
                          exposing Marinette's secret superhero identity?
                          Marinette's only hope is to defeat her new opponent to
                          prevent the end of Ladybug and time itself!
                        popularity: 1402.767
                        poster_path: /6AtoMpHvs9pxd30KsyK8QmJ9W9M.jpg
                        release_date: '2024-11-14'
                        title: 'Miraculous World, London: At the Edge of Time'
                        video: false
                        vote_average: 8.476
                        vote_count: 42
                      - adult: false
                        backdrop_path: /rOmUuQEZfPXglwFs5ELLLUDKodL.jpg
                        genre_ids:
                          - 35
                          - 28
                          - 14
                          - 9648
                          - 12
                        id: 845781
                        original_language: en
                        original_title: Red One
                        overview: >-
                          After Santa Claus (codename: Red One) is kidnapped,
                          the North Pole's Head of Security must team up with
                          the world's most infamous tracker in a globe-trotting,
                          action-packed mission to save Christmas.
                        popularity: 1231.712
                        poster_path: /cdqLnri3NEGcmfnqwk2TSIYtddg.jpg
                        release_date: '2024-10-31'
                        title: Red One
                        video: false
                        vote_average: 6.8
                        vote_count: 304
                      - adult: false
                        backdrop_path: /mQZJoIhTEkNhCYAqcHrQqhENLdu.jpg
                        genre_ids:
                          - 16
                          - 28
                          - 878
                          - 10751
                        id: 1184918
                        original_language: en
                        original_title: The Wild Robot
                        overview: >-
                          After a shipwreck, an intelligent robot called Roz is
                          stranded on an uninhabited island. To survive the
                          harsh environment, Roz bonds with the island's animals
                          and cares for an orphaned baby goose.
                        popularity: 1024.308
                        poster_path: /wTnV3PCVW5O92JMrFvvrRcV39RU.jpg
                        release_date: '2024-09-08'
                        title: The Wild Robot
                        video: false
                        vote_average: 8.394
                        vote_count: 3397
                      - adult: false
                        backdrop_path: /h3fwlwHotd3JfV13HdW0mxDcxPD.jpg
                        genre_ids:
                          - 35
                          - 10749
                          - 10770
                        id: 957119
                        original_language: en
                        original_title: 'Sidelined: The QB and Me'
                        overview: >-
                          Dallas, a burdened but headstrong dancer, is
                          determined to get into the best dance school in the
                          country—her late mother’s alma mater. However, that
                          dream is suddenly derailed when the cheeky yet
                          secretly grieving football star, Drayton, crashes into
                          her life with a unique story of his own. Will the two
                          of them be able to grow into their dreams together, or
                          will their dreams be sidelined?
                        popularity: 965.907
                        poster_path: /hklQwv6QVoOp5bWyh1bjuF2ydyG.jpg
                        release_date: '2024-11-29'
                        title: 'Sidelined: The QB and Me'
                        video: false
                        vote_average: 6.3
                        vote_count: 64
                      - adult: false
                        backdrop_path: /euYIwmwkmz95mnXvufEmbL6ovhZ.jpg
                        genre_ids:
                          - 28
                          - 12
                          - 36
                        id: 558449
                        original_language: en
                        original_title: Gladiator II
                        overview: >-
                          Years after witnessing the death of the revered hero
                          Maximus at the hands of his uncle, Lucius is forced to
                          enter the Colosseum after his home is conquered by the
                          tyrannical Emperors who now lead Rome with an iron
                          fist. With rage in his heart and the future of the
                          Empire at stake, Lucius must look to his past to find
                          strength and honor to return the glory of Rome to its
                          people.
                        popularity: 951.474
                        poster_path: /2cxhvwyEwRlysAmRH4iodkvo0z5.jpg
                        release_date: '2024-11-05'
                        title: Gladiator II
                        video: false
                        vote_average: 6.7
                        vote_count: 1041
                      - adult: false
                        backdrop_path: /sv3clpwOSSZO1c8i9uX4zig6Lzz.jpg
                        genre_ids:
                          - 53
                          - 80
                          - 9648
                          - 28
                        id: 1252470
                        original_language: hi
                        original_title: सिकंदर का मुकद्दर
                        overview: >-
                          After an unsolved diamond heist, a hard-nosed cop’s
                          pursuit of his key suspect turns into obsession, until
                          they finally face each other — and the truth.
                        popularity: 966.114
                        poster_path: /eWUh4rgxtgypgnOa6uGMnUt01ux.jpg
                        release_date: '2024-11-29'
                        title: Sikandar Ka Muqaddar
                        video: false
                        vote_average: 5.4
                        vote_count: 7
                      - adult: false
                        backdrop_path: /dvBCdCohwWbsP5qAaglOXagDMtk.jpg
                        genre_ids:
                          - 28
                          - 35
                          - 878
                        id: 533535
                        original_language: en
                        original_title: Deadpool & Wolverine
                        overview: >-
                          A listless Wade Wilson toils away in civilian life
                          with his days as the morally flexible mercenary,
                          Deadpool, behind him. But when his homeworld faces an
                          existential threat, Wade must reluctantly suit-up
                          again with an even more reluctant Wolverine.
                        popularity: 898.07
                        poster_path: /8cdWjvZQUExUUTzyp4t6EDMubfO.jpg
                        release_date: '2024-07-24'
                        title: Deadpool & Wolverine
                        video: false
                        vote_average: 7.67
                        vote_count: 5874
                      - adult: false
                        backdrop_path: /2fxnTXr8NwyTFkunkimJkGkhqfy.jpg
                        genre_ids:
                          - 18
                          - 28
                          - 27
                        id: 1118031
                        original_language: es
                        original_title: 'Apocalipsis Z: el principio del fin'
                        overview: >-
                          When a kind of rabies that transforms people into
                          aggressive creatures spreads across the planet, Manel
                          isolates himself at home with his cat, relying on his
                          wits to survive; but soon they must go out in search
                          of food, by land and by sea, dodging many dangers.
                        popularity: 779.755
                        poster_path: /wIGJnIFQlESkC2rLpfA8EDHqk4g.jpg
                        release_date: '2024-10-04'
                        title: 'Apocalypse Z: The Beginning of the End'
                        video: false
                        vote_average: 6.861
                        vote_count: 693
                      - adult: false
                        backdrop_path: /ditakJQbOLWVsyYZnKtz054fJhz.jpg
                        genre_ids:
                          - 27
                          - 9648
                        id: 1100782
                        original_language: en
                        original_title: Smile 2
                        overview: >-
                          About to embark on a new world tour, global pop
                          sensation Skye Riley begins experiencing increasingly
                          terrifying and inexplicable events. Overwhelmed by the
                          escalating horrors and the pressures of fame, Skye is
                          forced to face her dark past to regain control of her
                          life before it spirals out of control.
                        popularity: 809.03
                        poster_path: /ht8Uv9QPv9y7K0RvUyJIaXOZTfd.jpg
                        release_date: '2024-10-16'
                        title: Smile 2
                        video: false
                        vote_average: 6.589
                        vote_count: 904
                      - adult: false
                        backdrop_path: /rWs3Q9bT7zCH6t004z67UGuWUwu.jpg
                        genre_ids:
                          - 16
                          - 35
                          - 10751
                          - 14
                          - 12
                        id: 645757
                        original_language: en
                        original_title: That Christmas
                        overview: >-
                          It's an unforgettable Christmas for the townsfolk of
                          Wellington-on-Sea when the worst snowstorm in history
                          alters everyone's plans — including Santa's.
                        popularity: 1293.13
                        poster_path: /bX6dx2U4hOk1esI7mYwtD3cEKdC.jpg
                        release_date: '2024-11-27'
                        title: That Christmas
                        video: false
                        vote_average: 7.49
                        vote_count: 96
                      - adult: false
                        backdrop_path: /1ulX4rDlS97lbDi929PUrEi507V.jpg
                        genre_ids:
                          - 28
                          - 12
                          - 53
                        id: 539972
                        original_language: en
                        original_title: Kraven the Hunter
                        overview: >-
                          Kraven Kravinoff's complex relationship with his
                          ruthless gangster father, Nikolai, starts him down a
                          path of vengeance with brutal consequences, motivating
                          him to become not only the greatest hunter in the
                          world, but also one of its most feared.
                        popularity: 908.569
                        poster_path: /i47IUSsN126K11JUzqQIOi1Mg1M.jpg
                        release_date: '2024-12-11'
                        title: Kraven the Hunter
                        video: false
                        vote_average: 6
                        vote_count: 24
                      - adult: false
                        backdrop_path: /kwXycPsLA6SV3KUOagn343TtMOf.jpg
                        genre_ids:
                          - 28
                          - 878
                          - 53
                        id: 791042
                        original_language: en
                        original_title: Levels
                        overview: >-
                          After witnessing his girlfriend's murder, a man risks
                          everything - including reality itself - to discover
                          the truth.
                        popularity: 690.039
                        poster_path: /y1xm0jMIlx9Oo2a3jWNyLGm43sJ.jpg
                        release_date: '2024-11-01'
                        title: Levels
                        video: false
                        vote_average: 5.8
                        vote_count: 38
                      - adult: false
                        backdrop_path: /liuBLPXvisMRo5w2JEKHXceWq5u.jpg
                        genre_ids:
                          - 28
                          - 80
                          - 18
                        id: 1171640
                        original_language: fr
                        original_title: GTMAX
                        overview: >-
                          When a notorious gang of bikers recruits her brother
                          for a heist, a former motocross champion must face her
                          deepest fears to keep her family safe.
                        popularity: 904.76
                        poster_path: /bx92hl70NUhojjO3eV6LqKllj4L.jpg
                        release_date: '2024-11-19'
                        title: GTMAX
                        video: false
                        vote_average: 6.1
                        vote_count: 71
                      - adult: false
                        backdrop_path: /uVlUu174iiKhsUGqnOSy46eIIMU.jpg
                        genre_ids:
                          - 18
                          - 10749
                          - 14
                        id: 402431
                        original_language: en
                        original_title: Wicked
                        overview: >-
                          In the land of Oz, ostracized and misunderstood
                          green-skinned Elphaba is forced to share a room with
                          the popular aristocrat Glinda at Shiz University, and
                          the two's unlikely friendship is tested as they begin
                          to fulfill their respective destinies as Glinda the
                          Good and the Wicked Witch of the West.
                        popularity: 842.142
                        poster_path: /xDGbZ0JJ3mYaGKy4Nzd9Kph6M9L.jpg
                        release_date: '2024-11-20'
                        title: Wicked
                        video: false
                        vote_average: 7.6
                        vote_count: 512
                  total_pages:
                    type: number
                    example: 47624
                  total_results:
                    type: number
                    example: 952464
              examples:
                discover-movies:
                  value:
                    page: 1
                    results:
                      - adult: false
                        backdrop_path: /3V4kLQg0kSqPLctI5ziYWabAZYF.jpg
                        genre_ids:
                          - 28
                          - 878
                          - 12
                          - 53
                        id: 912649
                        original_language: en
                        original_title: 'Venom: The Last Dance'
                        overview: >-
                          Eddie and Venom are on the run. Hunted by both of
                          their worlds and with the net closing in, the duo are
                          forced into a devastating decision that will bring the
                          curtains down on Venom and Eddie's last dance.
                        popularity: 12365.25
                        poster_path: /aosm8NMQ3UyoBVpSxyimorCQykC.jpg
                        release_date: '2024-10-22'
                        title: 'Venom: The Last Dance'
                        video: false
                        vote_average: 6.7
                        vote_count: 1360
                      - adult: false
                        backdrop_path: /tElnmtQ6yz1PjN1kePNl8yMSb59.jpg
                        genre_ids:
                          - 16
                          - 12
                          - 10751
                          - 35
                        id: 1241982
                        original_language: en
                        original_title: Moana 2
                        overview: >-
                          After receiving an unexpected call from her wayfinding
                          ancestors, Moana journeys alongside Maui and a new
                          crew to the far seas of Oceania and into dangerous,
                          long-lost waters for an adventure unlike anything
                          she's ever faced.
                        popularity: 3704.062
                        poster_path: /4YZpsylmjHbqeWzjKpUEF8gcLNW.jpg
                        release_date: '2024-11-21'
                        title: Moana 2
                        video: false
                        vote_average: 6.9
                        vote_count: 460
                      - adult: false
                        backdrop_path: /au3o84ub27qTZiMiEc9UYzN74V3.jpg
                        genre_ids:
                          - 28
                          - 878
                          - 53
                        id: 1035048
                        original_language: en
                        original_title: Elevation
                        overview: >-
                          A single father and two women venture from the safety
                          of their homes to face monstrous creatures to save the
                          life of a young boy.
                        popularity: 2623.947
                        poster_path: /uQhYBxOVFU6s9agD49FnGHwJqG5.jpg
                        release_date: '2024-11-07'
                        title: Elevation
                        video: false
                        vote_average: 6.5
                        vote_count: 145
                      - adult: false
                        backdrop_path: /nOoGIymGBNtA7AEN0B6nshSEQ1p.jpg
                        genre_ids:
                          - 28
                          - 80
                          - 53
                        id: 974453
                        original_language: en
                        original_title: Absolution
                        overview: >-
                          An aging ex-boxer gangster working as muscle for a
                          Boston crime boss receives an upsetting diagnosis. 
                          Despite a faltering memory, he attempts to rectify the
                          sins of his past and reconnect with his estranged
                          children. He is determined to leave a positive legacy
                          for his grandson, but the criminal underworld isn’t
                          done with him and won’t loosen their grip willingly.
                        popularity: 1754.884
                        poster_path: /cNtAslrDhk1i3IOZ16vF7df6lMy.jpg
                        release_date: '2024-10-31'
                        title: Absolution
                        video: false
                        vote_average: 6.1
                        vote_count: 127
                      - adult: false
                        backdrop_path: /evFChfYeD2LqobEJf8iQsrYcGTw.jpg
                        genre_ids:
                          - 28
                          - 80
                          - 53
                        id: 1182387
                        original_language: en
                        original_title: Armor
                        overview: >-
                          Armored truck security guard James Brody is working
                          with his son Casey transporting millions of dollars
                          between banks when a team of thieves led by Rook
                          orchestrate a takeover of their truck to seize the
                          riches. Following a violent car chase, Rook soon has
                          the armored truck surrounded and James and Casey find
                          themselves cornered onto a decrepit bridge.
                        popularity: 1666.034
                        poster_path: /pnXLFioDeftqjlCVlRmXvIdMsdP.jpg
                        release_date: '2024-10-30'
                        title: Armor
                        video: false
                        vote_average: 5.5
                        vote_count: 63
                      - adult: false
                        backdrop_path: /m2hs6YPVrzjvRC21SE9BeXtgqFW.jpg
                        genre_ids:
                          - 16
                          - 9648
                          - 878
                          - 28
                        id: 1299652
                        original_language: en
                        original_title: 'Watchmen: Chapter II'
                        overview: >-
                          Suspicious of the events ensnaring their former
                          colleagues, Nite Owl and Silk Spectre are spurred out
                          of retirement to investigate. As they grapple with
                          personal ethics, inner demons and a society turned
                          against them, they race the clock to uncover a
                          deepening plot that might trigger global nuclear war.
                        popularity: 1484.544
                        poster_path: /4rBObJFpiWJOG7aIlRrOUniAkBs.jpg
                        release_date: '2024-11-25'
                        title: 'Watchmen: Chapter II'
                        video: false
                        vote_average: 7.6
                        vote_count: 46
                      - adult: false
                        backdrop_path: /cBTwQKMd7Vn6rGTGBtoFLIfj7uM.jpg
                        genre_ids:
                          - 16
                          - 12
                          - 28
                          - 14
                        id: 1147416
                        original_language: fr
                        original_title: 'Miraculous World : Londres, la course contre le temps'
                        overview: >-
                          To save the future from a terrible fate, Marinette
                          becomes Chronobug and teams up with Bunnyx to defeat a
                          mysterious opponent who travels through time. Who is
                          this new supervillain, and why are they obsessed with
                          exposing Marinette's secret superhero identity?
                          Marinette's only hope is to defeat her new opponent to
                          prevent the end of Ladybug and time itself!
                        popularity: 1402.767
                        poster_path: /6AtoMpHvs9pxd30KsyK8QmJ9W9M.jpg
                        release_date: '2024-11-14'
                        title: 'Miraculous World, London: At the Edge of Time'
                        video: false
                        vote_average: 8.476
                        vote_count: 42
                      - adult: false
                        backdrop_path: /rOmUuQEZfPXglwFs5ELLLUDKodL.jpg
                        genre_ids:
                          - 35
                          - 28
                          - 14
                          - 9648
                          - 12
                        id: 845781
                        original_language: en
                        original_title: Red One
                        overview: >-
                          After Santa Claus (codename: Red One) is kidnapped,
                          the North Pole's Head of Security must team up with
                          the world's most infamous tracker in a globe-trotting,
                          action-packed mission to save Christmas.
                        popularity: 1231.712
                        poster_path: /cdqLnri3NEGcmfnqwk2TSIYtddg.jpg
                        release_date: '2024-10-31'
                        title: Red One
                        video: false
                        vote_average: 6.8
                        vote_count: 304
                      - adult: false
                        backdrop_path: /mQZJoIhTEkNhCYAqcHrQqhENLdu.jpg
                        genre_ids:
                          - 16
                          - 28
                          - 878
                          - 10751
                        id: 1184918
                        original_language: en
                        original_title: The Wild Robot
                        overview: >-
                          After a shipwreck, an intelligent robot called Roz is
                          stranded on an uninhabited island. To survive the
                          harsh environment, Roz bonds with the island's animals
                          and cares for an orphaned baby goose.
                        popularity: 1024.308
                        poster_path: /wTnV3PCVW5O92JMrFvvrRcV39RU.jpg
                        release_date: '2024-09-08'
                        title: The Wild Robot
                        video: false
                        vote_average: 8.394
                        vote_count: 3397
                      - adult: false
                        backdrop_path: /h3fwlwHotd3JfV13HdW0mxDcxPD.jpg
                        genre_ids:
                          - 35
                          - 10749
                          - 10770
                        id: 957119
                        original_language: en
                        original_title: 'Sidelined: The QB and Me'
                        overview: >-
                          Dallas, a burdened but headstrong dancer, is
                          determined to get into the best dance school in the
                          country—her late mother’s alma mater. However, that
                          dream is suddenly derailed when the cheeky yet
                          secretly grieving football star, Drayton, crashes into
                          her life with a unique story of his own. Will the two
                          of them be able to grow into their dreams together, or
                          will their dreams be sidelined?
                        popularity: 965.907
                        poster_path: /hklQwv6QVoOp5bWyh1bjuF2ydyG.jpg
                        release_date: '2024-11-29'
                        title: 'Sidelined: The QB and Me'
                        video: false
                        vote_average: 6.3
                        vote_count: 64
                      - adult: false
                        backdrop_path: /euYIwmwkmz95mnXvufEmbL6ovhZ.jpg
                        genre_ids:
                          - 28
                          - 12
                          - 36
                        id: 558449
                        original_language: en
                        original_title: Gladiator II
                        overview: >-
                          Years after witnessing the death of the revered hero
                          Maximus at the hands of his uncle, Lucius is forced to
                          enter the Colosseum after his home is conquered by the
                          tyrannical Emperors who now lead Rome with an iron
                          fist. With rage in his heart and the future of the
                          Empire at stake, Lucius must look to his past to find
                          strength and honor to return the glory of Rome to its
                          people.
                        popularity: 951.474
                        poster_path: /2cxhvwyEwRlysAmRH4iodkvo0z5.jpg
                        release_date: '2024-11-05'
                        title: Gladiator II
                        video: false
                        vote_average: 6.7
                        vote_count: 1041
                      - adult: false
                        backdrop_path: /sv3clpwOSSZO1c8i9uX4zig6Lzz.jpg
                        genre_ids:
                          - 53
                          - 80
                          - 9648
                          - 28
                        id: 1252470
                        original_language: hi
                        original_title: सिकंदर का मुकद्दर
                        overview: >-
                          After an unsolved diamond heist, a hard-nosed cop’s
                          pursuit of his key suspect turns into obsession, until
                          they finally face each other — and the truth.
                        popularity: 966.114
                        poster_path: /eWUh4rgxtgypgnOa6uGMnUt01ux.jpg
                        release_date: '2024-11-29'
                        title: Sikandar Ka Muqaddar
                        video: false
                        vote_average: 5.4
                        vote_count: 7
                      - adult: false
                        backdrop_path: /dvBCdCohwWbsP5qAaglOXagDMtk.jpg
                        genre_ids:
                          - 28
                          - 35
                          - 878
                        id: 533535
                        original_language: en
                        original_title: Deadpool & Wolverine
                        overview: >-
                          A listless Wade Wilson toils away in civilian life
                          with his days as the morally flexible mercenary,
                          Deadpool, behind him. But when his homeworld faces an
                          existential threat, Wade must reluctantly suit-up
                          again with an even more reluctant Wolverine.
                        popularity: 898.07
                        poster_path: /8cdWjvZQUExUUTzyp4t6EDMubfO.jpg
                        release_date: '2024-07-24'
                        title: Deadpool & Wolverine
                        video: false
                        vote_average: 7.67
                        vote_count: 5874
                      - adult: false
                        backdrop_path: /2fxnTXr8NwyTFkunkimJkGkhqfy.jpg
                        genre_ids:
                          - 18
                          - 28
                          - 27
                        id: 1118031
                        original_language: es
                        original_title: 'Apocalipsis Z: el principio del fin'
                        overview: >-
                          When a kind of rabies that transforms people into
                          aggressive creatures spreads across the planet, Manel
                          isolates himself at home with his cat, relying on his
                          wits to survive; but soon they must go out in search
                          of food, by land and by sea, dodging many dangers.
                        popularity: 779.755
                        poster_path: /wIGJnIFQlESkC2rLpfA8EDHqk4g.jpg
                        release_date: '2024-10-04'
                        title: 'Apocalypse Z: The Beginning of the End'
                        video: false
                        vote_average: 6.861
                        vote_count: 693
                      - adult: false
                        backdrop_path: /ditakJQbOLWVsyYZnKtz054fJhz.jpg
                        genre_ids:
                          - 27
                          - 9648
                        id: 1100782
                        original_language: en
                        original_title: Smile 2
                        overview: >-
                          About to embark on a new world tour, global pop
                          sensation Skye Riley begins experiencing increasingly
                          terrifying and inexplicable events. Overwhelmed by the
                          escalating horrors and the pressures of fame, Skye is
                          forced to face her dark past to regain control of her
                          life before it spirals out of control.
                        popularity: 809.03
                        poster_path: /ht8Uv9QPv9y7K0RvUyJIaXOZTfd.jpg
                        release_date: '2024-10-16'
                        title: Smile 2
                        video: false
                        vote_average: 6.589
                        vote_count: 904
                      - adult: false
                        backdrop_path: /rWs3Q9bT7zCH6t004z67UGuWUwu.jpg
                        genre_ids:
                          - 16
                          - 35
                          - 10751
                          - 14
                          - 12
                        id: 645757
                        original_language: en
                        original_title: That Christmas
                        overview: >-
                          It's an unforgettable Christmas for the townsfolk of
                          Wellington-on-Sea when the worst snowstorm in history
                          alters everyone's plans — including Santa's.
                        popularity: 1293.13
                        poster_path: /bX6dx2U4hOk1esI7mYwtD3cEKdC.jpg
                        release_date: '2024-11-27'
                        title: That Christmas
                        video: false
                        vote_average: 7.49
                        vote_count: 96
                      - adult: false
                        backdrop_path: /1ulX4rDlS97lbDi929PUrEi507V.jpg
                        genre_ids:
                          - 28
                          - 12
                          - 53
                        id: 539972
                        original_language: en
                        original_title: Kraven the Hunter
                        overview: >-
                          Kraven Kravinoff's complex relationship with his
                          ruthless gangster father, Nikolai, starts him down a
                          path of vengeance with brutal consequences, motivating
                          him to become not only the greatest hunter in the
                          world, but also one of its most feared.
                        popularity: 908.569
                        poster_path: /i47IUSsN126K11JUzqQIOi1Mg1M.jpg
                        release_date: '2024-12-11'
                        title: Kraven the Hunter
                        video: false
                        vote_average: 6
                        vote_count: 24
                      - adult: false
                        backdrop_path: /kwXycPsLA6SV3KUOagn343TtMOf.jpg
                        genre_ids:
                          - 28
                          - 878
                          - 53
                        id: 791042
                        original_language: en
                        original_title: Levels
                        overview: >-
                          After witnessing his girlfriend's murder, a man risks
                          everything - including reality itself - to discover
                          the truth.
                        popularity: 690.039
                        poster_path: /y1xm0jMIlx9Oo2a3jWNyLGm43sJ.jpg
                        release_date: '2024-11-01'
                        title: Levels
                        video: false
                        vote_average: 5.8
                        vote_count: 38
                      - adult: false
                        backdrop_path: /liuBLPXvisMRo5w2JEKHXceWq5u.jpg
                        genre_ids:
                          - 28
                          - 80
                          - 18
                        id: 1171640
                        original_language: fr
                        original_title: GTMAX
                        overview: >-
                          When a notorious gang of bikers recruits her brother
                          for a heist, a former motocross champion must face her
                          deepest fears to keep her family safe.
                        popularity: 904.76
                        poster_path: /bx92hl70NUhojjO3eV6LqKllj4L.jpg
                        release_date: '2024-11-19'
                        title: GTMAX
                        video: false
                        vote_average: 6.1
                        vote_count: 71
                      - adult: false
                        backdrop_path: /uVlUu174iiKhsUGqnOSy46eIIMU.jpg
                        genre_ids:
                          - 18
                          - 10749
                          - 14
                        id: 402431
                        original_language: en
                        original_title: Wicked
                        overview: >-
                          In the land of Oz, ostracized and misunderstood
                          green-skinned Elphaba is forced to share a room with
                          the popular aristocrat Glinda at Shiz University, and
                          the two's unlikely friendship is tested as they begin
                          to fulfill their respective destinies as Glinda the
                          Good and the Wicked Witch of the West.
                        popularity: 842.142
                        poster_path: /xDGbZ0JJ3mYaGKy4Nzd9Kph6M9L.jpg
                        release_date: '2024-11-20'
                        title: Wicked
                        video: false
                        vote_average: 7.6
                        vote_count: 512
                    total_pages: 47624
                    total_results: 952464
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````